FROM nginx

#RUN apt-get update && \
#    apt-get install --yes --force-yes \
#    cron g++ gettext libicu-dev openssl \
#    libc-client-dev libkrb5-dev  \
#    libxml2-dev libfreetype6-dev \
#    libgd-dev libmcrypt-dev bzip2 \
#    libbz2-dev libtidy-dev libcurl4-openssl-dev \
#    libz-dev libmemcached-dev libxslt-dev git-core libpq-dev \
#    libzip4 libzip-dev libwebp-dev
#
#
## PHP Configuration
#RUN docker-php-ext-install bcmath bz2 calendar  dba exif gettext iconv intl  soap tidy xsl zip&&\
#    docker-php-ext-install mysqli pgsql pdo pdo_mysql pdo_pgsql  &&\
#    docker-php-ext-configure gd --with-freetype --with-jpeg --with-webp &&\
#    docker-php-ext-install gd &&\
#    docker-php-ext-configure imap --with-kerberos --with-imap-ssl &&\
#    docker-php-ext-install imap &&\
#    docker-php-ext-configure hash --with-mhash &&\
#    pecl install xdebug && docker-php-ext-enable xdebug &&\
#    pecl install mongodb && docker-php-ext-enable mongodb &&\
#    pecl install redis && docker-php-ext-enable redis \
#

COPY . /opt/mainsite/wrenchboard/www-api/
COPY public /opt/mainsite/wrenchboard/www-api/public
COPY backend.php /opt/mainsite/wrenchboard/www-api/backend.php
COPY app /opt/mainsite/wrenchboard/www-api/app
COPY system /opt/mainsite/wrenchboard/www-api/system
#COPY svs /opt/mainsite/wrenchboard/www-api/svs
COPY composer.json /opt/mainsite/wrenchboard/www-api/composer.json
COPY vendor /opt/mainsite/wrenchboard/www-api/vendor
COPY writable /opt/mainsite/wrenchboard/www-api/writable
RUN chmod -R a+w /opt/mainsite/wrenchboard/www-api/writable
COPY nginx/nginx.conf /etc/nginx/nginx.conf
COPY nginx/fastcgi.conf /etc/nginx/fastcgi.conf
COPY nginx/proxy.conf /etc/nginx/proxy.conf
COPY nginx/mime.types /etc/nginx/mime.types
